import { IObservableVideo } from '../../../providers/utils/HTMLVideoElement/observable';
import { IListener, IRectangle, ISubscription, ValueSubject } from '@vkontakte/videoplayer-shared';
interface ConnectParams {
    video: HTMLVideoElement;
    observableVideo: IObservableVideo;
}
export declare class ElementSizeManager {
    private readonly subscription;
    private readonly pipSize$;
    private readonly videoSize$;
    private readonly elementSize$;
    private pictureInPictureWindowRemoveEventListener;
    connect({ observableVideo, video }: ConnectParams): void;
    getValue(): IRectangle<number> | undefined;
    subscribe(listener: IListener<IRectangle<number> | undefined>, error?: IListener<Error | unknown>): ISubscription;
    getObservable(): ValueSubject<IRectangle<number> | undefined>;
    destroy(): void;
}
export {};
